Page MenuHomePhabricator

Remove all ::beta roles in puppet
Closed, ResolvedPublic

Description

Since we now have hiera, lots of prior code that had to be copy pasted / realm branched can now instead be just modified via puppet. This tracks all such changes.

As of May 4th 2017 in puppet.git:

$ git grep -E "class .*::beta"
modules/mediawiki/manifests/web/beta_sites.pp:class mediawiki::web::beta_sites {
modules/role/manifests/beta/availability_collector.pp:class role::beta::availability_collector {
modules/role/manifests/beta/deploymentserver.pp:class role::beta::deploymentserver {
modules/role/manifests/beta/mediawiki.pp:class role::beta::mediawiki {
modules/role/manifests/beta/puppetmaster.pp:class role::beta::puppetmaster {
modules/role/manifests/elasticsearch/beta.pp:class role::elasticsearch::beta {
modules/role/manifests/mariadb/beta.pp:class role::mariadb::beta {
modules/role/manifests/prometheus/beta.pp:class role::prometheus::beta {

Event Timeline

greg triaged this task as Normal priority.Jan 29 2015, 5:36 AM
greg moved this task from To Triage to Next: Maintenance on the Beta-Cluster-Infrastructure board.
gerritbot added a subscriber: gerritbot.

Change 187885 had a related patch set uploaded (by Yuvipanda):
apertium: Remove jenkins_access class

https://gerrit.wikimedia.org/r/187885

Patch-For-Review

Change 187885 merged by Yuvipanda:
apertium: Remove jenkins_access class

https://gerrit.wikimedia.org/r/187885

Change 244228 had a related patch set uploaded (by Alex Monk):
Rename mediawiki::web::sites to mediawiki::web::prod_sites to make room for a new generic sites.pp

https://gerrit.wikimedia.org/r/244228

Change 244237 had a related patch set uploaded (by Alex Monk):
Begin to merge production and beta apache config, starting with nonexistent.conf

https://gerrit.wikimedia.org/r/244237

Change 244228 merged by Jcrespo:
Rename mediawiki::web::sites to mediawiki::web::prod_sites to make room for a new generic sites.pp

https://gerrit.wikimedia.org/r/244228

Change 244237 merged by Giuseppe Lavagetto:
Begin to merge production and beta apache config, starting with nonexistent.conf

https://gerrit.wikimedia.org/r/244237

Change 264978 had a related patch set uploaded (by Alex Monk):
[WIP] Move portals into generic sites.pp

https://gerrit.wikimedia.org/r/264978

Change 247324 had a related patch set uploaded (by Chad):
Generate mediawiki-installation dsh group file from hiera data

https://gerrit.wikimedia.org/r/247324

Change 264978 merged by Alexandros Kosiaris:
Move portals into generic sites.pp

https://gerrit.wikimedia.org/r/264978

Change 265532 had a related patch set uploaded (by Alex Monk):
Move apache includes into generic sites.pp

https://gerrit.wikimedia.org/r/265532

Change 265532 merged by Alexandros Kosiaris:
Move apache includes into generic sites.pp

https://gerrit.wikimedia.org/r/265532

NOTE: This tracking task should be converted to Goal, any objections?
Aklapper added a comment.EditedFeb 14 2016, 3:57 PM
NOTE: This tracking task should be converted to Goal, any objections?

@Danny_B: I'm surprised about the "should" in that sentence - it's news to me.
I don't see much sense why it's proposed to create a project for two open tasks. Hence I'd like to object, as we cannot express the "Blocks: T87220" via a project only, plus this task is in certain columns on existing workboards.

NOTE: This tracking task should be converted to Goal, any objections?

@Danny_B: I'm surprised about the "should" in that sentence - it's news to me.

"Projects are favored over 'tracking tasks' with dependencies."

I don't see much sense why it's proposed to create a project for two open tasks.

Currently.

Hence I'd like to object, as we cannot express the "Blocks: T87220" via a project only,

Valid point, if the goal creation was 1:1 to this task. But since it's a part of bigger task/goal, such goal should be that higher task. It does not make a sense to crumble that much.

plus this task is in certain columns on existing workboards.

Patch-For-Review, Puppet and Tracking-Neverending are tags, Beta-Cluster-Infrastructure contains all blockers.

@Danny_B please bring the discussion on some list. Tracking-Neverending vs Goal has nothing to do with the task at hand Remove all ::beta roles in puppet. Thanks!

greg added a comment.Feb 16 2016, 4:36 PM

Please do not change to a goal. The reverse dependencies, as @Aklapper pointed out, are very important.

Dzahn added a subscriber: Dzahn.Mar 3 2016, 5:51 AM

@Joe your opinion on https://gerrit.wikimedia.org/r/#/c/247324/ would be appreciated

mmodell added a subscriber: mmodell.Mar 3 2016, 9:08 AM

Change 247324 abandoned by Chad:
Generate mediawiki-installation dsh group file from hiera data

Reason:
meh

https://gerrit.wikimedia.org/r/247324

hashar updated the task description. (Show Details)Jul 27 2016, 9:07 AM
hashar set Security to None.

As of July 27th 2016 in puppet.git:

$ find . -type f -path '*role*beta*'
./modules/role/manifests/beta/availability_collector.pp
./modules/role/manifests/beta/bastion.pp
./modules/role/manifests/beta/puppetmaster.pp
./modules/role/manifests/beta/trebuchet_testing.pp
./modules/role/manifests/beta/uploadservice.pp

I've been doing some of this recently:
https://gerrit.wikimedia.org/r/#/c/322403/ - role::beta::uploadservice
https://gerrit.wikimedia.org/r/#/c/322404/ - role::beta::bastion
https://gerrit.wikimedia.org/r/#/c/322405/ - role::beta::trebuchet_testing
https://gerrit.wikimedia.org/r/#/c/322406/ - beta::config
https://gerrit.wikimedia.org/r/#/c/322407/ - beta::deployaccess

Change 322403 had a related patch set uploaded (by Hashar):
Remove role::beta::uploadservice

https://gerrit.wikimedia.org/r/322403

Change 322406 had a related patch set uploaded (by Hashar):
Remove beta::config

https://gerrit.wikimedia.org/r/322406

Change 322407 had a related patch set uploaded (by Hashar):
Remove beta::deployaccess

https://gerrit.wikimedia.org/r/322407

Change 322404 had a related patch set uploaded (by Hashar):
Remove role::beta::bastion

https://gerrit.wikimedia.org/r/322404

Change 322405 had a related patch set uploaded (by Hashar):
Remove role::beta::trebuchet_testing

https://gerrit.wikimedia.org/r/322405

Change 322403 merged by Filippo Giunchedi:
Remove role::beta::uploadservice

https://gerrit.wikimedia.org/r/322403

Change 322404 merged by Filippo Giunchedi:
Remove role::beta::bastion

https://gerrit.wikimedia.org/r/322404

Change 322405 merged by Filippo Giunchedi:
Remove role::beta::trebuchet_testing

https://gerrit.wikimedia.org/r/322405

Change 322406 merged by Filippo Giunchedi:
Remove beta::config

https://gerrit.wikimedia.org/r/322406

Change 322407 merged by Dzahn:
Remove beta::deployaccess

https://gerrit.wikimedia.org/r/322407

So now we have:

alex@alex-laptop:~/Development/Wikimedia/Operations-Puppet (production)$ git grep -E "class .*::beta"
modules/mediawiki/manifests/web/beta_sites.pp:class mediawiki::web::beta_sites {
modules/role/manifests/beta/availability_collector.pp:class role::beta::availability_collector {
modules/role/manifests/beta/deploymentserver.pp:class role::beta::deploymentserver {
modules/role/manifests/beta/mediawiki.pp:class role::beta::mediawiki {
modules/role/manifests/beta/puppetmaster.pp:class role::beta::puppetmaster {
modules/role/manifests/mariadb.pp:class role::mariadb::beta {
modules/role/manifests/prometheus/beta.pp:class role::prometheus::beta {

mediawiki::web::beta_sites is being taken care of in T1256.
role::beta::availability_collector is applied on deployment-cache-(text|upload)04. For the rest it's all fairly obvious where they would be applied.
The role::prometheus::beta one is fairly new - https://gerrit.wikimedia.org/r/#/c/313816/

demon added a subscriber: demon.Nov 24 2016, 5:23 AM

Just came across beta::saltmaster::tools. It doesn't even appear used...

demon added a comment.Nov 24 2016, 5:27 AM

Do we even need salt in beta? ;-)

That's way out of the scope of this task, but yes, I have used it many times

hashar closed this task as Resolved.Nov 24 2016, 8:24 AM
hashar claimed this task.

Do we even need salt in beta? ;-)

When you get 40+ instances. Yes definitely.

Krenair reopened this task as Open.Nov 24 2016, 8:28 AM
Krenair removed hashar as the assignee of this task.

This task is not complete. I listed 7 existing cases above.

Sorry made a mistake when replying :D

hashar updated the task description. (Show Details)May 4 2017, 7:40 AM
Dzahn removed a subscriber: Dzahn.May 4 2017, 5:23 PM
hashar closed this task as Resolved.Oct 23 2017, 11:03 PM
hashar assigned this task to yuvipanda.
hashar added a subscriber: yuvipanda.

It has been nicely cleaned up by @yuvipanda
There are still some classes left but not much we can implement solely based on hiera.